import request from '@/utils/request'
export function getTaskInfo(id) {
  return request({
    url: 'api/task/queryAsnTask?asnDetailId='+id ,
    method: 'get'
  })
}
export function add(data) {
  return request({
    url: 'api/task',
    method: 'post',
    data
  })
}

export function del(ids) {
  return request({
    url: 'api/task/',
    method: 'delete',
    data: ids
  })
}

export function edit(data) {
  return request({
    url: 'api/task',
    method: 'put',
    data
  })
}

export function queryPickTask(id) {
  return request({
    url: 'api/task/queryPickTask?pickDetailId='+id ,
    method: 'get'
  })
}

export default { add, edit, del ,getTaskInfo,queryPickTask}
